Name:		ibm-prtm
Version:	1.2
Release:	1%{?dist}
Summary:	EDAC/SMI utilities for IBM LS21/HS21 blades

Group:		System Environment/Daemons
License:	GPL+
Source:		ibm-prtm-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Buildarch:	noarch

Requires:	chkconfig, python, OpenIPMI-tools

%description
Utility and startup script for disabling System Management Interrupts (SMI)
for IBM LS21/HS21 blades

%prep
%setup -qn ibm-prtm

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/sbin
cp ibm-prtmd $RPM_BUILD_ROOT/sbin/
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp ibm-prtm $RPM_BUILD_ROOT/etc/init.d/
mkdir -p $RPM_BUILD_ROOT/etc/modprobe.d
cp modprobe.ibm-amd $RPM_BUILD_ROOT/etc/modprobe.d/ibm-amd
cp blacklist-k8_edac $RPM_BUILD_ROOT/etc/modprobe.d/blacklist-k8_edac
mkdir -p $RPM_BUILD_ROOT/usr/share/%{name}-%{version}
cp SMI-removal.txt $RPM_BUILD_ROOT/usr/share/%{name}-%{version}
cp CHANGELOG $RPM_BUILD_ROOT/usr/share/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
/sbin/ibm-prtmd
/etc/init.d/ibm-prtm
/etc/modprobe.d/blacklist-k8_edac
/etc/modprobe.d/ibm-amd
%doc
/usr/share/%{name}-%{version}/SMI-removal.txt
/usr/share/%{name}-%{version}/CHANGELOG

%post
/sbin/chkconfig --add %{name}

%preun
/sbin/chkconfig --del %{name}

%changelog
* Tue Nov 18 2008 Clark Williams <williams@redhat.com> - 1.2-1
- new tarball from IBM with option for ibm-amd driver
  which adds /etc/modprobe.d/ibm_amd
- added blacklist of k8_edac via /etc/modprobe.d/blacklist-k8_edac

* Thu Oct 23 2008 Clark Williams <williams@redhat.com> - 1.1-2
- rebuilt using IBM supplied tarball

* Tue Oct 21 2008 Clark Williams <williams@redhat.com> - 1.1-1
- updated ibm-prtm and ibm-prtmd code with new code from IBM [457625]
  dropped tarball for individual files
  removed prep section setup macro
* Tue Apr 15 2008 Clark Williams <williams@redhat.com> - 1.0-1
- initial packaging

